> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Temporary EVSE Status



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml patch /v2/temporary-evse-statuses/{id}
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/temporary-evse-statuses/{id}:
    patch:
      tags:
        - Temporary EVSE Statuses v2
      summary: Update a Temporary EVSE Status
      operationId: TemporaryEvseStatusController_update_v2
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the Temporary EVSE Status to update
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTemporaryEvseStatusDto'
      responses:
        '200':
          description: The Temporary EVSE Status has been successfully updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemporaryEvseStatusResponseDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBadRequestDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUnauthorizedDto'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiForbiddendDto'
        '404':
          description: Temporary EVSE status not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiNotFoundDto'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiInternalServerErrorDto'
        '503':
          description: Service unavailable
components:
  schemas:
    UpdateTemporaryEvseStatusDto:
      type: object
      properties:
        temporaryStatus:
          type: string
          description: |2-

                Temporary EVSE status property.
                
                Use Cases  
                - MAINTENANCE: Use this status when an EVSE is undergoing maintenance and should not be used by customers.  
                - COMMISSIONING: Use this status for EVSEs that are being set up or tested and are not yet ready for public use.  
                - BLOCKED: Use this status to temporarily prevent an EVSE from being used, for example, due to a fault or safety concern.  
                - RESERVED: Use this status to indicate that an EVSE is reserved for a specific user or time period.  
                
          enum:
            - MAINTENANCE
            - COMMISSIONING
            - BLOCKED
            - RESERVED
          example: MAINTENANCE
        validFrom:
          type: string
          description: >-
            Start date and time of the Temporary EVSE Status. If unset, the
            current date and time will be used.
          example: '2025-04-23T10:00:00Z'
        validTo:
          type: string
          description: >-
            End date and time of the Temporary EVSE Status. If unset, the
            temporary status will ramain until removed.
          example: '2025-04-23T18:00:00Z'
    TemporaryEvseStatusResponseDto:
      type: object
      properties:
        id:
          type: number
          description: The unique identifier for the Temporary EVSE Status
          example: 42
        temporaryStatus:
          type: string
          description: Status of the Temporary EVSE Status
          enum:
            - MAINTENANCE
            - COMMISSIONING
            - BLOCKED
            - RESERVED
          example: MAINTENANCE
        evseId:
          type: string
          description: The EVSE ID
          example: DK*SPI*E123*1
        validFrom:
          type: string
          description: The start date and time of the Temporary EVSE Status
          example: '2023-01-01T12:00:00Z'
        validTo:
          type: string
          description: The end date and time of the Temporary EVSE Status
          example: '2023-01-01T14:00:00Z'
      required:
        - id
        - temporaryStatus
        - evseId
    ApiBadRequestDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          description: Validation error messages
          example:
            - validFrom cannot be greater than validTo
          type: array
          items:
            type: string
        error:
          type: string
          description: More detailed error description if available
          example: Bad Request
      required:
        - statusCode
        - message
    ApiUnauthorizedDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        error:
          type: string
          description: More detailed error description if available
          example: Unauthorized
      required:
        - statusCode
        - message
    ApiForbiddendDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden
        error:
          type: string
          description: More detailed error description if available
          example: Forbidden
      required:
        - statusCode
        - message
    ApiNotFoundDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        error:
          type: string
          description: More detailed error description if available
          example: Not Found
      required:
        - statusCode
        - message
    ApiInternalServerErrorDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal Server Error
        error:
          type: string
          description: More detailed error description if available
          example: Internal Server Error
      required:
        - statusCode
        - message

````